# pdf-unlock #

__pdf_unlock__ removes security features from pdfs.

## Installation ##

[Ghostscript](https://ghostscript.com) is required. When installing Ghostscript, make sure there is an executable called `gs` in your path. This should happen automatically with Linux, but Windows users will have to add the path to Ghostscript to the `PATH` environment variable manually, eg:

`C:\Program Files\gs\gs9.21\bin`

Then the Ghostscript executable `gswin64.exe` should be copied to a new executable called `gs.exe`.

## Usage ##


Search for pdfs inside 'pdf_folder', then create new unlocked versions
of the pdfs with the the suffix '-unlocked.pdf':

`> python pdf_unlock.py pdf_folder`

Search for pdfs inside 'pdf_folder', then unlock the pdfs and overwrite
the original versions.

`> python pdf_unlock.py pdf_folder -o`

Search recursively for pdfs inside 'pdf_folder' and all subfolders,
then unlock the pdfs and overwrite the original versions.

`> python pdf_unlock.py pdf_folder -o -r`
